import {Component, OnInit} from '@angular/core';
import {ActivatedRoute} from '@angular/router';
import {
  GetSigningRequestResponse,
  GetSigningRequestResponseSigningRequestDocument,
  SigningRequestService
} from '../../../gen';

@Component({
  selector: 'app-hello',
  standalone: false,
  templateUrl: './signing.component.html',
  styleUrl: './signing.component.css'
})
export class SigningComponent implements OnInit {
  documents: GetSigningRequestResponseSigningRequestDocument[] = [];
  selectedDocument: GetSigningRequestResponseSigningRequestDocument = {
    confirmed: false, id: '', name: ''
  }

  constructor(private route: ActivatedRoute, private signingRequestService: SigningRequestService) {
  }

  ngOnInit(): void {
    const id: string = this.route.snapshot.paramMap.get("id") || "";

    this.signingRequestService.getSigningRequest(id).subscribe({
      next: (response: GetSigningRequestResponse): void => {
        this.documents = response.signingRequestDocuments || [];
      },
      error(err: Error): void {
        console.log(err);
      }
    });
  }

  setActiveDocument(document: GetSigningRequestResponseSigningRequestDocument): void {
    this.selectedDocument = document;
    console.log(this.selectedDocument);
  }
}
